Bug 29469 - Error when approving and rejecting tags
Summary: Error when approving and rejecting tags
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 17600
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-12 15:25 UTC by Owen Leonard
Modified: 2021-11-19 16:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29469: (bug 17600 follow-up) Fix tag approval/rejection from staff (1.25 KB, patch)
2021-11-16 14:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-11-12 15:25:09 UTC
There is an AJAX error when approving or rejecting tags in the staff interface:

Usage: POSIX::exit(status) at /kohadevbox/koha/tags/review.pl line 72.
 at /usr/share/perl/5.28/Carp.pm line 289
	Carp::croak('Usage: POSIX::exit(status)') called at /usr/lib/x86_64-linux-gnu/perl/5.28/POSIX.pm line 22
	POSIX::usage('exit(status)') called at (eval 1876) line 3
	POSIX::exit at /kohadevbox/koha/tags/review.pl line 72
	eval {...} at /kohadevbox/koha/tags/review.pl line 2

...etc.
Comment 1 Jonathan Druart 2021-11-16 14:48:05 UTC
Created attachment 127695 [details] [review]
Bug 29469: (bug 17600 follow-up) Fix tag approval/rejection from staff

Usage: POSIX::exit(status) at /kohadevbox/koha/tags/review.pl line 72.                                                                                                                                                at /usr/share/perl/5.28/Carp.pm line 289
        Carp::croak('Usage: POSIX::exit(status)') called at /usr/lib/x86_64-linux-gnu/perl/5.28/POSIX.pm line 22
        POSIX::usage('exit(status)') called at (eval 2066) line 3

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Jonathan Druart 2021-11-16 14:49:04 UTC
Patch pushed to master for 21.11.00

Thanks, Owen!